> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST (/users/batch/profile/settings)

> POST (/users/batch/profile/settings)

# POST (/users/batch/profile/settings)

取得一或多位使用者的設定檔。
這些 URI 的網域為 `profile.xboxlive.com`。

* [備註](#ID4EV)
* [授權](#ID4EFB)
* [必要的要求標頭](#ID4EOB)
* [要求本文](#ID4EZC)
* [回應本文](#ID4EJD)

## 備註

這是  中唯一允許的完整 Profile URL。來自用戶端的所有其他 Profile API 都會遭到封鎖。

## 授權

若要存取設定檔，只需要一般的驗證權杖和宣告。

## 必要的要求標頭

| 標頭 | 類型 | 描述 |
| - | - | - |
| x-xbl-contract-version | 32 位元不帶正負號的整數 | 合約版本必須設為 2，以便將此呼叫與 XBOX 360 API 區分開來。 |
| content-type | 字串 | 值 = `application/json` |

## 要求本文

### 範例要求

```cpp theme={null}
POST /users/batch/profile/settings
   {
      "userIds":[
         "2533274791381930"
       ],
      "settings":[
         "GameDisplayName",
         "GameDisplayPicRaw",
         "Gamerscore",
         "Gamertag"
      ]
   }
      
```

## 回應本文

### 範例回應

```cpp theme={null}
{
      "profileUsers":[
         {
            "id":"2533274791381930",
            "settings":[
               {
                  "id":"GameDisplayName",
                  "value":"John Smith"
               },
               {
                  "id":"GameDisplayPicRaw",
                  "value":"http://images-eds.xboxlive.com/image?url=z951ykn43p4FqWbbFvR2Ec.8vbDhj8G2Xe7JngaTToBrrCmIEEXHC9UNrdJ6P7KIN0gxC2r1YECCd3mf2w1FDdmFCpSokJWa2z7xtVrlzOyVSc6pPRdWEXmYtpS2xE4F"
               },
               {
                  "id":"Gamerscore",
                  "value":"0"
               },
               {
                  "id":"Gamertag",
                  "value":"CracklierJewel9"
               }
            ]
         }
      ]
   }
         
```

## 另請參閱

##### 上層

[/users/batch/profile/settings](https://docs.xbox.com/zh-TW/reference/live/rest/uri/profileV2/uri-usersbatchprofilesettings.md)

##### 參考

[Profile (JSON)](https://docs.xbox.com/zh-TW/reference/live/rest/json/json-profile.md)


## Related topics

- [/users/batch/profile/settings](https://docs.xbox.com/zh-TW/reference/live/rest/uri/profileV2/uri-usersbatchprofilesettings.md)
- [POST (/users/batch)](https://docs.xbox.com/zh-TW/reference/live/rest/uri/presence/uri-usersbatchpost.md)
- [/users/{userId}/profile/settings/people/{userList}?settings={settings}](https://docs.xbox.com/zh-TW/reference/live/rest/uri/profileV2/uri-usersuseridprofilesettingspeopleuserlist.md)
- [POST (/json/users/batch/scids/{scid}/data/{pathAndFileName},json)](https://docs.xbox.com/zh-TW/reference/live/rest/uri/storage/uri-jsonusersbatchscidssciddatapathandfilenametype-post.md)
- [POST (/trustedplatform/users/batch/scids/{scid}/data/{pathAndFileName},{type})](https://docs.xbox.com/zh-TW/reference/live/rest/uri/storage/uri-trustedplatformusersbatchscidssciddatapathandfilenametype-post.md)
